关于高版本jredis 找不到util包的问题

jredis3.0.0以上的版本用RedisPlugin时会报错java.lang.NoClassDefFoundError: redis/clients/util/SafeEncoder,原因是jredis3.0.0以上的版本redis/clients/util的包改成了redis.clients.jedis.util,可以自己扩展com.jfinal.plugin.redis.serializer.ISerializer 把jfinal提供的FstSerializer中的包名换掉


等待作者修复



评论区